API ReferenceNew CentralGuidesMRT APIConfiguration API
GithubAirheads Developer Community
API Reference

Create a new schedule by unique name

Scheduling entry parameters.

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…
Path Params
string
required
length ≤ 9999

Schedule name.

Query Params
string

LOCAL - To create local objects. SHARED - To create shared objects. Default - Defaults to SHARED if not provided

string

Scope at which local object needs to be created. Mandatory if object-type = LOCAL. Should not be provided for object-type = SHARED.

string

Device function for which the local object needs to be created. Mandatory if object_type = LOCAL. Should not be provided for object_type = SHARED.

Body Params

schedulebody object

schedule-entry
array of objects
length ≤ 2147483647

Schedule entry

schedule-entry
job
array of objects
length ≤ 2147483647

Job configuration.

job
string
length between 1 and 256

Command to execute when this job runs.

boolean
Defaults to false

Save the running configuration to flash after the job completes.

int32
1 to 1000

Maximum number of times the schedule can trigger.
If not set, no limit is applied on the number of triggers.
This is not applicable for 'one-shot' schedule type.
Once schedule is triggered count number of times, the status
changes to expired.

string
length ≤ 9999

Trigger date and time.

string
enum

Trigger at given time.
trigger-at is valid when trigger-type is TRIGGER_AT.

Show Details
TRIGGER_ATFixed date and time for the schedule. This is oneshot schedule.
TRIGGER_EVENTEvent at which the job is triggered.
TRIGGER_EVERYPeriodic interval for schedule with custom time interval.
TRIGGER_ONCalendar time for the schedule.
Allowed:
string
enum

Runs the job when the event occur.

Show Details
FAILOVERFailover event.
REBOOTReboot event.
Allowed:
string
enum

Trigger every peoriodic interval. trigger-every is valid when
trigger-type is TRIGGER_EVERY.

Show Details
TRIGGER_ATFixed date and time for the schedule. This is oneshot schedule.
TRIGGER_EVENTEvent at which the job is triggered.
TRIGGER_EVERYPeriodic interval for schedule with custom time interval.
TRIGGER_ONCalendar time for the schedule.
Allowed:
string
enum

Trigger on given date and time.
trigger-on is valid when trigger-type is TRIGGER_ON.

Show Details
TRIGGER_ATFixed date and time for the schedule. This is oneshot schedule.
TRIGGER_EVENTEvent at which the job is triggered.
TRIGGER_EVERYPeriodic interval for schedule with custom time interval.
TRIGGER_ONCalendar time for the schedule.
Allowed:
string
enum

Trigger type monthly. trigger-on-monthly is valid when frequency is MONTHLY.

Show Details
DAILYDaily.
MONTHLYMonthly.
WEEKLYWeekly.
YEARLYYearly
Allowed:
string
enum

Trigger type weekly. trigger-on-weekly is valid when frequency is WEEKLY.

Show Details
DAILYDaily.
MONTHLYMonthly.
WEEKLYWeekly.
YEARLYYearly
Allowed:
string
enum

Trigger type yearly. trigger-on-yearly is valid when frequency is YEARLY.

Show Details
DAILYDaily.
MONTHLYMonthly.
WEEKLYWeekly.
YEARLYYearly
Allowed:
string
enum

Trigger type.
While updating trigger-type other parameter must set to null, which are
not applicable.

Show Details
TRIGGER_ATFixed date and time for the schedule. This is oneshot schedule.
TRIGGER_EVENTEvent at which the job is triggered.
TRIGGER_EVERYPeriodic interval for schedule with custom time interval.
TRIGGER_ONCalendar time for the schedule.
Allowed:
days-of-the-week
array of strings
length ≤ 2147483647
Show Details
everydayEveryday
fridayFriday
mondayMonday
saturdaySaturday
sundaySunday
thursdayThursday
tuesdayTuesday
wednesdayWednesday
days-of-the-week
string
enum

Frequency of job scheduler calendar time on schedule.

Show Details
DAILYDaily.
MONTHLYMonthly.
WEEKLYWeekly.
YEARLYYearly
Allowed:
int32
-31 to -1

Date in a month. month-day is valid when frequency is MONTHLY.

string
length ≤ 9999

Trigger start date, expressed as YYYY-MM-DD .
start-date-at is valid when trigger-type is TRIGGER_AT and start-time-at
is configured.

string
length ≤ 9999

Trigger start date, expressed as YYYY-MM-DD .
start-date-every is valid when trigger-type is TRIGGER_EVERY and
start-time-every is configured.

string
length ≤ 9999

Trigger start date, expressed as YYYY-MM-DD .
start-date-on is valid when trigger-type is TRIGGER_ON

string
length ≤ 9999

Trigger start time. 24-hour time, expressed as HH:MM .
start-time-at is valid when trigger-type is TRIGGER_AT

string
length ≤ 9999

Trigger start time. 24-hour time, expressed as HH:MM .
start-time-every is valid when /trigger-type is TRIGGER_EVERY.

string
length ≤ 9999

Trigger start time. 24-hour time, expressed as HH:MM .
start-time-on is valid when trigger-type is TRIGGER_ON

string
enum

Day in a week. week-day is valid when frequency is WEEKLY

Show Details
everydayEveryday
fridayFriday
mondayMonday
saturdaySaturday
sundaySunday
thursdayThursday
tuesdayTuesday
wednesdayWednesday
string
length ≤ 9999

The date when the job should run, in MM/DD format.

int32
1 to 365

Days. days is valid when trigger-type is TRIGGER_EVERY.

string
length ≤ 9999

Delay time in DD:HH:MM format.

int32
1 to 8760

Hours. hours is valid when trigger-type is TRIGGER_EVERY.

int64
30 to 525600

Minutes. minutes is valid when trigger-type is TRIGGER_EVERY.

string
length between 1 and 128

Description about the schedule.

boolean
Defaults to false

Enable the schedule.

string
length between 1 and 64

Schedule name.

Responses

Language
Credentials
OAuth2
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json